API Docs
YMS API
Order
POST Create Order

POST Create order

Introduction

Create a new order in the YMS system. This API allows you to submit order information including customer, carrier, equipment details, item lines, appointment data, and dynamic field values. The order will be registered and assigned a unique identifier upon successful creation.

POST /public/order/create

Body Request Parameters

{
  "customerId": "string",
  "externalCarrierId": "string",
  "poNo": "string",
  "referenceNo": "string",
  "retailer": "string",
  "shipFrom": "string",
  "shipTo": "string",
  "totalPalletQty": 0,
  "totalCartonQty": 0,
  "itemInfos": [
    {
      "itemId": "string",
      "itemName": "string",
      "itemQty": "string",
      "palletQty": "string",
      "itemSpecDesc": "string",
      "itemSpecName": "string",
      "uomId": "string",
      "qty": "string"
    }
  ],
  "dynamicFieldValues": [
    {
      "fieldCode": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» customerIdbodystringNoCustomer identifier
» externalCarrierIdbodystringNoExternal carrier identifier from external systems
» poNobodystringYesPurchase order number
» referenceNobodystringYesReference number provided by customer or external system
» retailerbodystringNoRetailer name
» shipFrombodystringNoShip-from location (name or code)
» shipTobodystringNoShip-to location (name or code)
» totalPalletQtybodyintegerNoTotal number of pallets
» totalCartonQtybodyintegerNoTotal number of cartons
» itemInfosbody[ItemInfo]NoItems included in the order
»» itemIdbodystringNoItem identifier
»» itemNamebodystringNoItem name
»» itemQtybodystringNoItem quantity
»» palletQtybodystringNoItem pallet Qty
»» itemSpecDescbodystringNoItem spec desc
»» itemSpecNamebodystringNoItem spec name
»» uomIdbodystringNoitem uomId
»» qtybodystringNoqty
» dynamicFieldValuesbody[object]NoDynamic field values for custom attributes
»» fieldCodebodystringYesField code
»» valuebodystringNonone
»» valuesbody[string]NoMulti-select value list, takes priority over value

Response Example

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "orderId": "",
    "orderStatus": "",
    "customerId": "",
    "poNo": "",
    "referenceNo": "",
    "retailer": "",
    "shipFrom": "",
    "shipTo": "",
    "totalPalletQty": 0,
    "totalCartonQty": 0,
    "itemInfos": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "customerName": "",
    "carrierName": "",
    "shipToAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "shipFromAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "appointmentTime": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "shippedTime": ""
  }
}
{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "orderId": "",
    "orderStatus": "",
    "customerId": "",
    "poNo": "",
    "referenceNo": "",
    "retailer": "",
    "shipFrom": "",
    "shipTo": "",
    "totalPalletQty": 0,
    "totalCartonQty": 0,
    "itemInfos": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "customerName": "",
    "carrierName": "",
    "shipToAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "shipFromAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "appointmentTime": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "values": [
          ""
        ],
        "fieldName": "",
        "longValue": "",
        "shortValue": "",
        "valueType": "",
        "optionsType": "",
        "options": [
          ""
        ]
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "shippedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneROrderView